Update Phone Number

Updates a phone number on an agent.

Authentication

AuthorizationBearer
Bearer authentication header of the form `Bearer <PHONIC_API_KEY>`. Manage your API keys [here](https://phonic.co/api-keys).

Path parameters

nameOrIdstringRequired
The name or the ID of the agent.

Query parameters

projectstringOptionalDefaults to main

The name of the project containing the agent. Only used when nameOrId is a name.

Request

This endpoint expects an object.
phone_numberstringRequired

The E.164 formatted phone number to add (e.g., “+15551234567”).

configuration_endpointobject or nullOptional

When not null, the agent will call this endpoint to get configuration options for calls on this phone number.

Response

Success response
successboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error